Ticket #30728: output.log

File output.log, 14.7 KB (added by Ariel Torti, 14 months ago)

System information and run output, you can see it appears the issue has something to do with race condition because it doesn't trigger everytime I run it.

Line 
1root@879e9dcfeefb:/home/bug/bug# python3 --version
2Python 3.5.2
3root@879e9dcfeefb:/home/bug/bug# pip3 freeze
4Django==2.2.4
5pytz==2019.2
6sqlparse==0.3.0
7You are using pip version 8.1.1, however version 19.2.2 is available.
8You should consider upgrading via the 'pip install --upgrade pip' command.
9root@879e9dcfeefb:/home/bug/bug# python3 -c 'import django; print(django.VERSION)'
10(2, 2, 4, 'final', 0)
11root@879e9dcfeefb:/home/bug/bug# python3 manage.py runserver
12Watching for file changes with StatReloader
13Performing system checks...
14
15Exception in thread django-main-thread:
16Traceback (most recent call last):
17  File "/usr/local/lib/python3.5/dist-packages/django/urls/resolvers.py", line 581, in url_patterns
18    iter(patterns)
19TypeError: 'module' object is not iterable
20
21During handling of the above exception, another exception occurred:
22
23Traceback (most recent call last):
24  File "/usr/lib/python3.5/threading.py", line 914, in _bootstrap_inner
25    self.run()
26  File "/usr/lib/python3.5/threading.py", line 862, in run
27    self._target(*self._args, **self._kwargs)
28  File "/usr/local/lib/python3.5/dist-packages/django/utils/autoreload.py", line 54, in wrapper
29    fn(*args, **kwargs)
30  File "/usr/local/lib/python3.5/dist-packages/django/core/management/commands/runserver.py", line 117, in inner_run
31    self.check(display_num_errors=True)
32  File "/usr/local/lib/python3.5/dist-packages/django/core/management/base.py", line 390, in check
33    include_deployment_checks=include_deployment_checks,
34  File "/usr/local/lib/python3.5/dist-packages/django/core/management/base.py", line 377, in _run_checks
35    return checks.run_checks(**kwargs)
36  File "/usr/local/lib/python3.5/dist-packages/django/core/checks/registry.py", line 72, in run_checks
37    new_errors = check(app_configs=app_configs)
38  File "/usr/local/lib/python3.5/dist-packages/django/core/checks/urls.py", line 13, in check_url_config
39    return check_resolver(resolver)
40  File "/usr/local/lib/python3.5/dist-packages/django/core/checks/urls.py", line 23, in check_resolver
41    return check_method()
42  File "/usr/local/lib/python3.5/dist-packages/django/urls/resolvers.py", line 398, in check
43    for pattern in self.url_patterns:
44  File "/usr/local/lib/python3.5/dist-packages/django/utils/functional.py", line 80, in __get__
45    res = instance.__dict__[self.name] = self.func(instance)
46  File "/usr/local/lib/python3.5/dist-packages/django/urls/resolvers.py", line 588, in url_patterns
47    raise ImproperlyConfigured(msg.format(name=self.urlconf_name))
48django.core.exceptions.ImproperlyConfigured: The included URLconf 'bug.urls' does not appear to have any patterns in it. If you see valid patterns in the file then the issue is probably caused by a circular import.
49
50^Croot@879e9dcfeefb:/home/bug/bug# python3 manage.py runserver
51Watching for file changes with StatReloader
52Performing system checks...
53
54Exception in thread django-main-thread:
55Traceback (most recent call last):
56  File "/usr/local/lib/python3.5/dist-packages/django/urls/resolvers.py", line 581, in url_patterns
57    iter(patterns)
58TypeError: 'module' object is not iterable
59
60During handling of the above exception, another exception occurred:
61
62Traceback (most recent call last):
63  File "/usr/lib/python3.5/threading.py", line 914, in _bootstrap_inner
64    self.run()
65  File "/usr/lib/python3.5/threading.py", line 862, in run
66    self._target(*self._args, **self._kwargs)
67  File "/usr/local/lib/python3.5/dist-packages/django/utils/autoreload.py", line 54, in wrapper
68    fn(*args, **kwargs)
69  File "/usr/local/lib/python3.5/dist-packages/django/core/management/commands/runserver.py", line 117, in inner_run
70    self.check(display_num_errors=True)
71  File "/usr/local/lib/python3.5/dist-packages/django/core/management/base.py", line 390, in check
72    include_deployment_checks=include_deployment_checks,
73  File "/usr/local/lib/python3.5/dist-packages/django/core/management/base.py", line 377, in _run_checks
74    return checks.run_checks(**kwargs)
75  File "/usr/local/lib/python3.5/dist-packages/django/core/checks/registry.py", line 72, in run_checks
76    new_errors = check(app_configs=app_configs)
77  File "/usr/local/lib/python3.5/dist-packages/django/core/checks/urls.py", line 13, in check_url_config
78    return check_resolver(resolver)
79  File "/usr/local/lib/python3.5/dist-packages/django/core/checks/urls.py", line 23, in check_resolver
80    return check_method()
81  File "/usr/local/lib/python3.5/dist-packages/django/urls/resolvers.py", line 398, in check
82    for pattern in self.url_patterns:
83  File "/usr/local/lib/python3.5/dist-packages/django/utils/functional.py", line 80, in __get__
84    res = instance.__dict__[self.name] = self.func(instance)
85  File "/usr/local/lib/python3.5/dist-packages/django/urls/resolvers.py", line 588, in url_patterns
86    raise ImproperlyConfigured(msg.format(name=self.urlconf_name))
87django.core.exceptions.ImproperlyConfigured: The included URLconf 'bug.urls' does not appear to have any patterns in it. If you see valid patterns in the file then the issue is probably caused by a circular import.
88
89^Croot@879e9dcfeefb:/home/bug/bug# python3 manage.py runserver
90Watching for file changes with StatReloader
91Performing system checks...
92
93Exception in thread django-main-thread:
94Traceback (most recent call last):
95  File "/usr/local/lib/python3.5/dist-packages/django/urls/resolvers.py", line 581, in url_patterns
96    iter(patterns)
97TypeError: 'module' object is not iterable
98
99During handling of the above exception, another exception occurred:
100
101Traceback (most recent call last):
102  File "/usr/lib/python3.5/threading.py", line 914, in _bootstrap_inner
103    self.run()
104  File "/usr/lib/python3.5/threading.py", line 862, in run
105    self._target(*self._args, **self._kwargs)
106  File "/usr/local/lib/python3.5/dist-packages/django/utils/autoreload.py", line 54, in wrapper
107    fn(*args, **kwargs)
108  File "/usr/local/lib/python3.5/dist-packages/django/core/management/commands/runserver.py", line 117, in inner_run
109    self.check(display_num_errors=True)
110  File "/usr/local/lib/python3.5/dist-packages/django/core/management/base.py", line 390, in check
111    include_deployment_checks=include_deployment_checks,
112  File "/usr/local/lib/python3.5/dist-packages/django/core/management/base.py", line 377, in _run_checks
113    return checks.run_checks(**kwargs)
114  File "/usr/local/lib/python3.5/dist-packages/django/core/checks/registry.py", line 72, in run_checks
115    new_errors = check(app_configs=app_configs)
116  File "/usr/local/lib/python3.5/dist-packages/django/core/checks/urls.py", line 13, in check_url_config
117    return check_resolver(resolver)
118  File "/usr/local/lib/python3.5/dist-packages/django/core/checks/urls.py", line 23, in check_resolver
119    return check_method()
120  File "/usr/local/lib/python3.5/dist-packages/django/urls/resolvers.py", line 398, in check
121    for pattern in self.url_patterns:
122  File "/usr/local/lib/python3.5/dist-packages/django/utils/functional.py", line 80, in __get__
123    res = instance.__dict__[self.name] = self.func(instance)
124  File "/usr/local/lib/python3.5/dist-packages/django/urls/resolvers.py", line 588, in url_patterns
125    raise ImproperlyConfigured(msg.format(name=self.urlconf_name))
126django.core.exceptions.ImproperlyConfigured: The included URLconf 'bug.urls' does not appear to have any patterns in it. If you see valid patterns in the file then the issue is probably caused by a circular import.
127
128^Croot@879e9dcfeefb:/home/bug/bug# python3 manage.py runserver
129Watching for file changes with StatReloader
130Performing system checks...
131
132Exception in thread django-main-thread:
133Traceback (most recent call last):
134  File "/usr/local/lib/python3.5/dist-packages/django/urls/resolvers.py", line 581, in url_patterns
135    iter(patterns)
136TypeError: 'module' object is not iterable
137
138During handling of the above exception, another exception occurred:
139
140Traceback (most recent call last):
141  File "/usr/lib/python3.5/threading.py", line 914, in _bootstrap_inner
142    self.run()
143  File "/usr/lib/python3.5/threading.py", line 862, in run
144    self._target(*self._args, **self._kwargs)
145  File "/usr/local/lib/python3.5/dist-packages/django/utils/autoreload.py", line 54, in wrapper
146    fn(*args, **kwargs)
147  File "/usr/local/lib/python3.5/dist-packages/django/core/management/commands/runserver.py", line 117, in inner_run
148    self.check(display_num_errors=True)
149  File "/usr/local/lib/python3.5/dist-packages/django/core/management/base.py", line 390, in check
150    include_deployment_checks=include_deployment_checks,
151  File "/usr/local/lib/python3.5/dist-packages/django/core/management/base.py", line 377, in _run_checks
152    return checks.run_checks(**kwargs)
153  File "/usr/local/lib/python3.5/dist-packages/django/core/checks/registry.py", line 72, in run_checks
154    new_errors = check(app_configs=app_configs)
155  File "/usr/local/lib/python3.5/dist-packages/django/core/checks/urls.py", line 13, in check_url_config
156    return check_resolver(resolver)
157  File "/usr/local/lib/python3.5/dist-packages/django/core/checks/urls.py", line 23, in check_resolver
158    return check_method()
159  File "/usr/local/lib/python3.5/dist-packages/django/urls/resolvers.py", line 398, in check
160    for pattern in self.url_patterns:
161  File "/usr/local/lib/python3.5/dist-packages/django/utils/functional.py", line 80, in __get__
162    res = instance.__dict__[self.name] = self.func(instance)
163  File "/usr/local/lib/python3.5/dist-packages/django/urls/resolvers.py", line 588, in url_patterns
164    raise ImproperlyConfigured(msg.format(name=self.urlconf_name))
165django.core.exceptions.ImproperlyConfigured: The included URLconf 'bug.urls' does not appear to have any patterns in it. If you see valid patterns in the file then the issue is probably caused by a circular import.
166
167^Croot@879e9dcfeefb:/home/bug/bug# python3 manage.py runserver
168Watching for file changes with StatReloader
169Performing system checks...
170
171Exception in thread django-main-thread:
172Traceback (most recent call last):
173  File "/usr/lib/python3.5/threading.py", line 914, in _bootstrap_inner
174    self.run()
175  File "/usr/lib/python3.5/threading.py", line 862, in run
176    self._target(*self._args, **self._kwargs)
177  File "/usr/local/lib/python3.5/dist-packages/django/utils/autoreload.py", line 54, in wrapper
178    fn(*args, **kwargs)
179  File "/usr/local/lib/python3.5/dist-packages/django/core/management/commands/runserver.py", line 117, in inner_run
180    self.check(display_num_errors=True)
181  File "/usr/local/lib/python3.5/dist-packages/django/core/management/base.py", line 390, in check
182    include_deployment_checks=include_deployment_checks,
183  File "/usr/local/lib/python3.5/dist-packages/django/core/management/base.py", line 377, in _run_checks
184    return checks.run_checks(**kwargs)
185  File "/usr/local/lib/python3.5/dist-packages/django/core/checks/registry.py", line 72, in run_checks
186    new_errors = check(app_configs=app_configs)
187  File "/usr/local/lib/python3.5/dist-packages/django/core/checks/urls.py", line 13, in check_url_config
188    return check_resolver(resolver)
189  File "/usr/local/lib/python3.5/dist-packages/django/core/checks/urls.py", line 23, in check_resolver
190    return check_method()
191  File "/usr/local/lib/python3.5/dist-packages/django/urls/resolvers.py", line 398, in check
192    for pattern in self.url_patterns:
193  File "/usr/local/lib/python3.5/dist-packages/django/utils/functional.py", line 80, in __get__
194    res = instance.__dict__[self.name] = self.func(instance)
195  File "/usr/local/lib/python3.5/dist-packages/django/urls/resolvers.py", line 579, in url_patterns
196    patterns = getattr(self.urlconf_module, "urlpatterns", self.urlconf_module)
197  File "/usr/local/lib/python3.5/dist-packages/django/utils/functional.py", line 80, in __get__
198    res = instance.__dict__[self.name] = self.func(instance)
199  File "/usr/local/lib/python3.5/dist-packages/django/urls/resolvers.py", line 572, in urlconf_module
200    return import_module(self.urlconf_name)
201  File "/usr/lib/python3.5/importlib/__init__.py", line 126, in import_module
202    return _bootstrap._gcd_import(name[level:], package, level)
203  File "<frozen importlib._bootstrap>", line 986, in _gcd_import
204  File "<frozen importlib._bootstrap>", line 969, in _find_and_load
205  File "<frozen importlib._bootstrap>", line 958, in _find_and_load_unlocked
206  File "<frozen importlib._bootstrap>", line 673, in _load_unlocked
207  File "<frozen importlib._bootstrap_external>", line 665, in exec_module
208  File "<frozen importlib._bootstrap>", line 222, in _call_with_frames_removed
209  File "/home/bug/bug/bug/urls.py", line 19, in <module>
210    from really import views
211  File "/home/bug/bug/really/views.py", line 3, in <module>
212    raise TypeError
213TypeError
214
215^Croot@879e9dcfeefb:/home/bug/bug# python3 manage.py runserver
216Watching for file changes with StatReloader
217Performing system checks...
218
219Exception in thread django-main-thread:
220Traceback (most recent call last):
221  File "/usr/local/lib/python3.5/dist-packages/django/urls/resolvers.py", line 581, in url_patterns
222    iter(patterns)
223TypeError: 'module' object is not iterable
224
225During handling of the above exception, another exception occurred:
226
227Traceback (most recent call last):
228  File "/usr/lib/python3.5/threading.py", line 914, in _bootstrap_inner
229    self.run()
230  File "/usr/lib/python3.5/threading.py", line 862, in run
231    self._target(*self._args, **self._kwargs)
232  File "/usr/local/lib/python3.5/dist-packages/django/utils/autoreload.py", line 54, in wrapper
233    fn(*args, **kwargs)
234  File "/usr/local/lib/python3.5/dist-packages/django/core/management/commands/runserver.py", line 117, in inner_run
235    self.check(display_num_errors=True)
236  File "/usr/local/lib/python3.5/dist-packages/django/core/management/base.py", line 390, in check
237    include_deployment_checks=include_deployment_checks,
238  File "/usr/local/lib/python3.5/dist-packages/django/core/management/base.py", line 377, in _run_checks
239    return checks.run_checks(**kwargs)
240  File "/usr/local/lib/python3.5/dist-packages/django/core/checks/registry.py", line 72, in run_checks
241    new_errors = check(app_configs=app_configs)
242  File "/usr/local/lib/python3.5/dist-packages/django/core/checks/urls.py", line 13, in check_url_config
243    return check_resolver(resolver)
244  File "/usr/local/lib/python3.5/dist-packages/django/core/checks/urls.py", line 23, in check_resolver
245    return check_method()
246  File "/usr/local/lib/python3.5/dist-packages/django/urls/resolvers.py", line 398, in check
247    for pattern in self.url_patterns:
248  File "/usr/local/lib/python3.5/dist-packages/django/utils/functional.py", line 80, in __get__
249    res = instance.__dict__[self.name] = self.func(instance)
250  File "/usr/local/lib/python3.5/dist-packages/django/urls/resolvers.py", line 588, in url_patterns
251    raise ImproperlyConfigured(msg.format(name=self.urlconf_name))
252django.core.exceptions.ImproperlyConfigured: The included URLconf 'bug.urls' does not appear to have any patterns in it. If you see valid patterns in the file then the issue is probably caused by a circular import.
253
254
Back to Top